Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Risolto] Impossibile aggiornare il sistema...
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Fri Dec 07, 2007 12:52 am    Post subject: [Risolto] Impossibile aggiornare il sistema... Reply with quote

Ieri, dopo diversi mesi, ho deciso di aggiornare Gentoo, quindi sono partito
Code:
emerge --sync
seguito da
Code:
emerge portage
e infine
Code:
emerge -u system


Parte l'installazione di circa 70 pacchetti e vado a letto! La mattina successiva, convinto di trovare tutto pronto, vado a controllare la console remote e trovo un errore
Code:

i686-pc-linux-gnu-gcc -march=pentium3 -O2 -mtune=i686 -pipe -fomit-frame-pointer -DLIBFLASH -DLIBMII    via-diag.c libflash.o libmii.o   -o via-diag
i686-pc-linux-gnu-gcc -march=pentium3 -O2 -mtune=i686 -pipe -fomit-frame-pointer -DLIBFLASH -DLIBMII    vortex-diag.c libflash.o libmii.o   -o vortex-diag
i686-pc-linux-gnu-gcc -march=pentium3 -O2 -mtune=i686 -pipe -fomit-frame-pointer -DLIBFLASH -DLIBMII    winbond-diag.c libflash.o libmii.o   -o winbond-diag
i686-pc-linux-gnu-gcc -march=pentium3 -O2 -mtune=i686 -pipe -fomit-frame-pointer -DLIBFLASH -DLIBMII    yellowfin-diag.c libflash.o libmii.o   -o yellowfin-diag
i686-pc-linux-gnu-gcc -march=pentium3 -O2 -mtune=i686 -pipe -fomit-frame-pointer -DLIBFLASH -DLIBMII    mii-diag.c libmii.o   -o mii-diag
make[1]: Leaving directory `/var/tmp/portage/sys-apps/net-tools-1.60-r13/work/net-tools-1.60/ethercard-diag/pub/diag'
make: Leaving directory `/var/tmp/portage/sys-apps/net-tools-1.60-r13/work/net-tools-1.60/ethercard-diag'
make[1]: Entering directory `/var/tmp/portage/sys-apps/net-tools-1.60-r13/work/net-tools-1.60/po'
xgettext --default-domain=net-tools \
  --add-comments --keyword=_ --keyword=N_ ../arp.c ../hostname.c ../ifconfig.c ../netstat.c ../rarp.c ../route.c ../plipconfig.c ../iptunnel.c ../statistics.c ../lib/activate.c ../lib/af.c ../lib/arcnet.c ../lib/ash.c ../lib/ax25.c ../lib/ax25_gr.c ../lib/ddp.c ../lib/ddp_gr.c ../lib/econet.c ../lib/ether.c ../lib/fddi.c ../lib/frame.c ../lib/getargs.c ../lib/getroute.c ../lib/hdlclapb.c ../lib/hippi.c ../lib/hw.c ../lib/inet.c ../lib/inet6.c ../lib/inet6_gr.c ../lib/inet6_sr.c ../lib/inet_gr.c ../lib/inet_sr.c ../lib/ipx.c ../lib/ipx_gr.c ../lib/ipx_sr.c ../lib/loopback.c ../lib/masq_info.c ../lib/nstrcmp.c ../lib/netrom.c ../lib/netrom_gr.c ../lib/netrom_sr.c ../lib/ppp.c ../lib/ppp_ac.c ../lib/proc.c ../lib/rose.c ../lib/rose_gr.c ../lib/setroute.c ../lib/sit.c ../lib/slip.c ../lib/slip_ac.c ../lib/tr.c ../lib/tunnel.c ../lib/unix.c ../lib/util.c ../lib/interface.c ../lib/sockets.c ../lib/util-ank.c ../ipmaddr.c ../slattach.c ../iptunnel.c
msgfmt -o de.mo de.po
xgettext: error while loading shared libraries: libexpat.so.0: cannot open shared object file: No such file or directory
make[1]: *** [net-tools.pot] Error 127
make[1]: *** Waiting for unfinished jobs....
de.po: warning: Charset "iso8859-1" is not a portable encoding name.
                Message conversion to user's charset might not work.
make[1]: Leaving directory `/var/tmp/portage/sys-apps/net-tools-1.60-r13/work/net-tools-1.60/po'
make: *** [i18ndir] Error 2
 *
 * ERROR: sys-apps/net-tools-1.60-r13 failed.
 * Call stack:
 *                   ebuild.sh, line 1701:  Called dyn_compile
 *                   ebuild.sh, line 1039:  Called qa_call 'src_compile'
 *                   ebuild.sh, line   44:  Called src_compile
 *   net-tools-1.60-r13.ebuild, line   63:  Called die
 * The specific snippet of code:
 *              emake i18ndir || die "emake i18ndir failed"
 *  The die message:
 *   emake i18ndir failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/sys-apps/net-tools-1.60-r13/temp/build.log'.
 *

 * Messages for package sys-apps/net-tools-1.60-r13:

 *
 * ERROR: sys-apps/net-tools-1.60-r13 failed.
 * Call stack:
 *                   ebuild.sh, line 1701:  Called dyn_compile
 *                   ebuild.sh, line 1039:  Called qa_call 'src_compile'
 *                   ebuild.sh, line   44:  Called src_compile
 *   net-tools-1.60-r13.ebuild, line   63:  Called die
 * The specific snippet of code:
 *              emake i18ndir || die "emake i18ndir failed"
 *  The die message:
 *   emake i18ndir failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/sys-apps/net-tools-1.60-r13/temp/build.log'.


Cerco in giro per la rete e provo a dare
Code:
revdep-rebuild
con questo risultato
Code:
  broken /usr/sbin/htpasswd2 (requires  libexpat.so.0)
  broken /usr/sbin/httxt2dbm (requires  libexpat.so.0)
  broken /usr/sbin/logresolve2 (requires  libexpat.so.0)
  broken /usr/sbin/rotatelogs2 (requires  libexpat.so.0)
 done.
  (/root/.revdep-rebuild.3_rebuild)

Assigning files to ebuilds... done.
  (/root/.revdep-rebuild.4_ebuilds)

Evaluating package order...
Warning: Failed to resolve package order.
Will merge in "random" order!
Possible reasons:
- An ebuild is no longer in the portage tree.
- An ebuild is masked, use /etc/portage/packages.keyword
  and/or /etc/portage/package.unmask to unmask it
..... done.
  (/root/.revdep-rebuild.5_order)

All prepared. Starting rebuild...
emerge --oneshot  =net-misc/neon-0.26.1-r1 =dev-libs/apr-util-0.9.12 =dev-util/subversion-1.3.2-r3 =sys-devel/gettext-0.16.1-r1 =dev-perl/XML-Parser-2.34 =x11-libs/libXft-2.1.10 =x11-libs/pango-1.14.9 =x11-libs/gtk+-2.10.6 =x11-libs/wxGTK-2.6.3.3 =media-libs/mesa-6.5.1-r1 =media-libs/fontconfig-2.3.2-r1 =x11-apps/xclock-1.0.2 =x11-terms/xterm-222 =xfce-base/xffm-4.2.3 =xfce-base/xfce-mcs-manager-4.2.3 =xfce-base/xfce4-panel-4.2.3 =xfce-base/xfdesktop-4.2.3 =xfce-base/xfwm4-4.2.3.2 =xfce-base/xfce-utils-4.2.3 =xfce-base/xfce4-session-4.2.3 =xfce-base/xfprint-4.2.3 =xfce-extra/xfce4-appfinder-4.2.3 =xfce-extra/xfce4-toys-4.2.3 =xfce-extra/xfcalendar-4.2.3 =xfce-extra/xfce4-mixer-4.2.3 =xfce-extra/xfce4-iconbox-4.2.3 =net-p2p/amule-2.1.3 =www-servers/apache-2.0.58-r2
..........
Calculating dependencies /
emerge: there are no ebuilds to satisfy "=x11-libs/pango-1.14.9".


revdep-rebuild failed to emerge all packages
you have the following choices:

- if emerge failed during the build, fix the problems and re-run revdep-rebuild
    or
- use -X or --package-names as first argument (trys to rebuild package, not exact
  ebuild)
    or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.unmask
  (and remove /root/.revdep-rebuild.5_order to be evaluated again)
    or
- modify the above emerge command and run it manually
    or
- compile or unmerge unsatisfied packages manually, remove temporary files and
  try again (you can edit package/ebuild list first)


Come ne esco? :?


Last edited by Jabber00 on Wed Dec 26, 2007 9:39 pm; edited 1 time in total
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Fri Dec 07, 2007 7:10 am    Post subject: Re: Impossibile aggiornare il sistema... Reply with quote

Jabber00 wrote:

Cerco in giro per la rete e provo a dare
Code:
revdep-rebuild

non era la ricerca giusta.

comunque dovresti risolvere con un:
Code:

revdep-rebuild -X

ci vorrà molta pazienza, perché il numero di pacchetti sarà decisamente corposo.
aggiungi anche l'opzione -pv se desideri prepararti psicologicamente.

se ti capitano di nuovo problemi di dipendenze (non dovrebbero, perché pango sarà compilato alla versione attuale, non più alla -1.14.9 - uscita da portage), come sopra, puoi leggere il comando:
Code:

All prepared. Starting rebuild...
 emerge --oneshot  =net-misc/neon-0.26.1-r1 ... bla, bla bla

e lanciare pochi alla volta gruppi limitati di pacchetti, così ti sarà più facile individuare i pacchetti colpevoli dell'ìingorgo.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Fri Dec 07, 2007 10:08 am    Post subject: Re: Impossibile aggiornare il sistema... Reply with quote

cloc3 wrote:
Jabber00 wrote:

Cerco in giro per la rete e provo a dare
Code:
revdep-rebuild

non era la ricerca giusta.

comunque dovresti risolvere con un:
Code:

revdep-rebuild -X

ci vorrà molta pazienza, perché il numero di pacchetti sarà decisamente corposo.
aggiungi anche l'opzione -pv se desideri prepararti psicologicamente.


Ho provato con revdep-rebuild -X, ma non finisce la compilazione (del primissimo pacchetto), come accade se faccio
Code:
emerge -u system
(chiaramente con diversi pacchetti):

Code:

config.status: executing default commands
make[1]: Entering directory `/var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11'
gawk -f /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/build/make_var_export.awk /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_thread_mutex.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_env.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_poll.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_fnmatch.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_global_mutex.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_pools.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_want.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_file_io.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_version.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_mmap.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_dso.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_thread_proc.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_errno.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_shm.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_network_io.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_signal.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_user.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_support.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_atomic.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_random.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_thread_cond.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_thread_rwlock.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_getopt.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_inherit.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_strings.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_general.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_proc_mutex.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_tables.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_ring.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_file_info.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_allocator.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_portable.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_hash.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_time.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_lib.h > export_vars.c
gawk -f /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/build/make_exports.awk /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_thread_mutex.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_env.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_poll.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_fnmatch.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_global_mutex.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_pools.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_want.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_file_io.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_version.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_mmap.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_dso.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_thread_proc.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_errno.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_shm.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_network_io.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_signal.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_user.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_support.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_atomic.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_random.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_thread_cond.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_thread_rwlock.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_getopt.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_inherit.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_strings.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_general.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_proc_mutex.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_tables.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_ring.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_file_info.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_allocator.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_portable.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_hash.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_time.h /var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/apr_lib.h > exports.c
/bin/sh /usr/bin/libtool --silent --mode=compile i686-pc-linux-gnu-gcc -pthread  -march=pentium3 -O2 -mtune=i686 -pipe -fomit-frame-pointer -DHAVE_CONFIG_H -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE   -I./include -I/var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/arch/unix -I./include/arch/unix -I/var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include  -o passwd/apr_getpass.lo -c passwd/apr_getpass.c && touch passwd/apr_getpass.lo
/bin/sh /usr/bin/libtool --silent --mode=compile i686-pc-linux-gnu-gcc -pthread  -march=pentium3 -O2 -mtune=i686 -pipe -fomit-frame-pointer -DHAVE_CONFIG_H -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE   -I./include -I/var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include/arch/unix -I./include/arch/unix -I/var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11/include  -o strings/apr_cpystrn.lo -c strings/apr_cpystrn.c && touch strings/apr_cpystrn.lo
libtool: compile: unable to infer tagged configuration
libtool: compile: specify a tag with `--tag'
make[1]: *** [passwd/apr_getpass.lo] Error 1
make[1]: *** Waiting for unfinished jobs....
libtool: compile: unable to infer tagged configuration
libtool: compile: specify a tag with `--tag'
make[1]: *** [strings/apr_cpystrn.lo] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-libs/apr-1.2.11/work/apr-1.2.11'
make: *** [all-recursive] Error 1
 *
 * ERROR: dev-libs/apr-1.2.11 failed.
 * Call stack:
 *           ebuild.sh, line 1701:  Called dyn_compile
 *           ebuild.sh, line 1039:  Called qa_call 'src_compile'
 *           ebuild.sh, line   44:  Called src_compile
 *   apr-1.2.11.ebuild, line   68:  Called die
 * The specific snippet of code:
 *      emake || die "Make failed"
 *  The die message:
 *   Make failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/dev-libs/apr-1.2.11/temp/build.log'.
 *

 * Messages for package dev-libs/apr-1.2.11:

 *
 * ERROR: dev-libs/apr-1.2.11 failed.
 * Call stack:
 *           ebuild.sh, line 1701:  Called dyn_compile
 *           ebuild.sh, line 1039:  Called qa_call 'src_compile'
 *           ebuild.sh, line   44:  Called src_compile
 *   apr-1.2.11.ebuild, line   68:  Called die
 * The specific snippet of code:
 *      emake || die "Make failed"
 *  The die message:
 *   Make failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/dev-libs/apr-1.2.11/temp/build.log'.
 *

revdep-rebuild failed to emerge all packages
you have the following choices:

- if emerge failed during the build, fix the problems and re-run revdep-rebuild
    or
- use -X or --package-names as first argument (trys to rebuild package, not exact
  ebuild)
    or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.unmask
  (and remove /root/.revdep-rebuild.5_order to be evaluated again)
    or
- modify the above emerge command and run it manually
    or
- compile or unmerge unsatisfied packages manually, remove temporary files and
  try again (you can edit package/ebuild list first)
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Fri Dec 07, 2007 11:51 am    Post subject: Re: Impossibile aggiornare il sistema... Reply with quote

Jabber00 wrote:

Ho provato con revdep-rebuild -X, ma non finisce la compilazione (del primissimo pacchetto), come accade se faccio
Code:
emerge -u system
(chiaramente con diversi pacchetti):

primissimo? a vedere l'output precedente (senza -X) sembrerebbe il secondo.

lo dico perché, a prima vista, mi sembra un errore del singolo pacchetto. apr-util serve ad apache, non del resto del sistema.
prova a forzare la compilazione con:
Code:

emerge --resume --skipfirst

se i pacchetti successivi daranno meno problemi, ti occuperai dopo del primo.

viceversa, prova a ricompilare preventivamente libtool e (già che siamo) binutils.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Fri Dec 07, 2007 12:04 pm    Post subject: Re: Impossibile aggiornare il sistema... Reply with quote

cloc3 wrote:
Jabber00 wrote:

Ho provato con revdep-rebuild -X, ma non finisce la compilazione (del primissimo pacchetto), come accade se faccio
Code:
emerge -u system
(chiaramente con diversi pacchetti):

primissimo? a vedere l'output precedente (senza -X) sembrerebbe il secondo.

lo dico perché, a prima vista, mi sembra un errore del singolo pacchetto. apr-util serve ad apache, non del resto del sistema.
prova a forzare la compilazione con:
Code:

emerge --resume --skipfirst

se i pacchetti successivi daranno meno problemi, ti occuperai dopo del primo.

viceversa, prova a ricompilare preventivamente libtool e (già che siamo) binutils.


Pero' mettendo -X il numero di pacchetti si riduce di un bel po', non so perche'!

Leggendo il thread linkato nel post precedente, ho provato a fare il downgrade di expat (da 2.0.1 a 1.95.8 ): revdep-rebuild -X ora sta ricompilando due pacchetti (cairo ed amule): vedo se finisce e poi provo a continuare con l'update del sistema, vediamo se cambia qualcosa!

Edit: Cairo e' stato compilato, ma quando tocca ad amule dice di ricompilare wxGTK con unicode (che io ho escluso quando ho installato amule la prima volta)! :roll:

Edit2: Ho dato
Code:
USE="remote -unicode gtk2 stats" emerge amule
in modo da evitare di dover ricompilare wxGTK con il flag unicode, ho quindi rilanciato
Code:
emerge -u system
e pare andare (almeno net-tool e' stato installato senza problemi): ora e' all'ottavo pacchetto su 48!
Domanda: ma se dovessi aggiornare nuovamente expat alla 2.0.1, andrei nuovamente incontro a tutti i problemi di prima (nel thread linkato sopra ho visto che in tanti ne hanno avuti, ma non ho mica capito come risolvere, se non usando questo workaround)?

Edit3: L'aggiornamento, usando il workaround su expat, e' andato a buon fine!
Che mi consigliate con quel pacchetto? Tengo la 1.98.5 o aggiorno alla 2.0.1?
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Mon Dec 10, 2007 12:23 pm    Post subject: Re: Impossibile aggiornare il sistema... Reply with quote

Jabber00 wrote:
Tengo la 1.98.5 o aggiorno alla 2.0.1?

aggiorna assolutamente, perché si tratta di un nuovo "standard" che è destinato a diventare indispensabile prestissimo (se già non lo è).

l'aggiornamento ti costerà sangue e pazienza,
ma se non lo fai adesso rischi di essere costretto a farlo in un momento di stress successivo.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Wed Dec 26, 2007 9:38 pm    Post subject: Reply with quote

Oggi ho avuto la possibilita' di fare l'aggiornamento di Expat: dopo l'emerge, ho dato
Code:
revdep-rebuild -X
ha ricompilato 5 pacchetti e tutto e' andato bene al primo colpo! :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum